Package tigase.cert

# Class KeytoolCertificateGenerator

java.lang.Object
tigase.cert.KeytoolCertificateGenerator

All Implemented Interfaces:
  `CertificateGenerator`

public class KeytoolCertificateGenerator extends Object implements CertificateGenerator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeytoolCertificateGenerator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canGenerateWildcardSAN()`
  `X509Certificate`
  `generateSelfSignedCertificate(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair)`
  `CertificateEntry`
  `generateSelfSignedCertificateEntry(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair, boolean generateWildcardCnAlt)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.cert.CertificateGenerator

  `generateSelfSignedCertificateEntry`

- ## Constructor Details

  - ### KeytoolCertificateGenerator

    public KeytoolCertificateGenerator()

- ## Method Details

  - ### canGenerateWildcardSAN

    public boolean canGenerateWildcardSAN()
    Specified by:
      `canGenerateWildcardSAN` in interface `CertificateGenerator`

  - ### generateSelfSignedCertificate

    public X509Certificate generateSelfSignedCertificate(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair) throws CertificateException, IOException, NoSuchAlgorithmException, InvalidKeyException, NoSuchProviderException, SignatureException
    Specified by:
      `generateSelfSignedCertificate` in interface `CertificateGenerator`
    Throws:
      `CertificateException`
      `IOException`
      `NoSuchAlgorithmException`
      `InvalidKeyException`
      `NoSuchProviderException`
      `SignatureException`

  - ### generateSelfSignedCertificateEntry

    public CertificateEntry generateSelfSignedCertificateEntry(String email, String domain, String organizationUnit, String organization, String city, String state, String country, KeyPair keyPair, boolean generateWildcardCnAlt) throws GeneralSecurityException, IOException
    Specified by:
      `generateSelfSignedCertificateEntry` in interface `CertificateGenerator`
    Parameters:
      `keyPair` - is ignored due to `keytool` limitations
    Throws:
      `GeneralSecurityException`
      `IOException`